curl --request PUT \
--url https://api.getmembrane.com/app-event-subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"meta": {}
}
'import requests
url = "https://api.getmembrane.com/app-event-subscriptions/{id}"
payload = {
"name": "<string>",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', meta: {}})
};
fetch('https://api.getmembrane.com/app-event-subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"revision": "<string>",
"userId": "<string>",
"appEventTypeId": "<string>",
"isSubscribed": true,
"webhookUri": "<string>",
"subscriptionRequest": {
"uri": {},
"method": "<string>",
"headers": {},
"query": {},
"body": {}
},
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"errors": [
{
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"tenantId": "<string>",
"instanceKey": "<string>",
"schema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"subscriptionResponse": {},
"appEventType": {
"id": "<string>",
"name": "<string>",
"revision": "<string>",
"webhookKey": "<string>",
"globalWebhookUri": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"errors": [
{
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"subscribeRequest": {
"uri": {},
"method": "<string>",
"headers": {},
"query": {},
"body": {}
},
"example": {},
"schema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"tenantIdFormula": {},
"userIdFormula": {}
},
"user": {
"id": "<string>",
"name": "<string>",
"internalId": "<string>",
"meta": {},
"fields": {},
"credentials": {},
"lastActiveAt": "<string>",
"isTest": true,
"isBillable": true,
"isActive": true,
"aiCreditsRolling30DayLimit": 1,
"createdAt": "<string>",
"archivedAt": "<string>"
}
}Update internal event subscription by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID
Response
Internal database ID of the element. Assigned by the API; unique per element.
Display name. Always present in API responses (filled by API if not set on create).
Show child attributes
Show child attributes
Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.
Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.
Optional human-readable description.
Optional key-value metadata.
Show child attributes
Show child attributes
Current lifecycle or health state (e.g. READY, SETUP_FAILED, CONFIGURATION_ERROR, BUILDING). Set by the engine during setup and validation.
BUILDING, CLIENT_ACTION_REQUIRED, CONFIGURATION_ERROR, SETUP_FAILED, READY, DISCONNECTING Validation or setup errors when state is not READY.
Show child attributes
Show child attributes
ISO date when the element was created.
ISO date when the element was last updated.
When true, setup is skipped and the element is treated as inactive (e.g. when dependencies are deactivated or the element is archived).
When true, the element cannot be modified (e.g. published package elements or elements from another workspace).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?